| Home | Libraries | People | FAQ | More

## Struct template dereference

boost::proto::dereference — A metafunction for generating defereference expression types, a grammar element for matching dereference expressions, and a PrimitiveTransform that dispatches to the `proto::pass_through<>` transform.

## Synopsis

    // In header: <boost/proto/traits.hpp>

    template<typename T>
    struct dereference :  proto::transform< dereference<T> > {
      // types
      typedef proto::expr< proto::tag::dereference, proto::list1< T > > type;
      typedef type                                                      proto_base_expr;
      template<typename Expr, typename State, typename Data>
      struct impl :
         proto::pass_through<dereference>::template impl<Expr, State, Data>
      {
      };
    };

## Description